aboutsummaryrefslogtreecommitdiffstats
path: root/dev-libs
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/libnfc/Manifest2
-rw-r--r--dev-libs/libnfc/libnfc-1.4.0.ebuild32
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-libs/libnfc/Manifest b/dev-libs/libnfc/Manifest
new file mode 100644
index 0000000..474b1b1
--- /dev/null
+++ b/dev-libs/libnfc/Manifest
@@ -0,0 +1,2 @@
+DIST libnfc-1.4.0.tar.gz 471552 RMD160 8e1f812eff0da1bfda28ebf1e706235e2b5e6118 SHA1 1c8f147d6e8b508d6d2e8012ed8bbc37b9b1a9dd SHA256 441246286247f71ebe5f3060304202809601a6f2b91a33251834c65ae4b6ed02
+EBUILD libnfc-1.4.0.ebuild 665 RMD160 6ddfe28589b91d5d2185118c27ab42e3b5429ce4 SHA1 14465e96b19d9a1099b5a55e96767c75055f47a0 SHA256 1f01a3cbbfda100acea95b692b9ba56e41b1f8bd5e4a7c97a0a35b8df42747b3
diff --git a/dev-libs/libnfc/libnfc-1.4.0.ebuild b/dev-libs/libnfc/libnfc-1.4.0.ebuild
new file mode 100644
index 0000000..1b49970
--- /dev/null
+++ b/dev-libs/libnfc/libnfc-1.4.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils
+
+DESCRIPTION="Near Field Communications (NFC) library"
+HOMEPAGE="http://www.libnfc.org/"
+SRC_URI="http://${PN}.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="doc"
+
+CDEPEND="sys-apps/pcsc-lite
+ dev-libs/libusb"
+DEPEND="${CDEPEND}
+ doc? ( app-doc/doxygen )"
+RDEPEND="${CDEPEND}"
+
+src_compile() {
+ emake || die "Failed to compile."
+ use doc && doxygen
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die "Failed to install properly."
+ use doc && dohtml "${S}"/doc/html/*
+}